For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate account level field definitions
      • DELDelete account level custom field definitions
      • GETList account level field definitions
      • PATCHUpdate account level custom field definitions

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceMetadata Fields

Delete account level custom field definitions

DELETE
https://api.frame.io/v4/accounts/:account_id/metadata/field_definitions/:field_definition_id
DELETE
/v4/accounts/:account_id/metadata/field_definitions/:field_definition_id
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.metadata_fields.metadata_field_definitions_delete(
8 account_id="dabead49-1ff5-4dd4-8830-b5a62d006120",
9 field_definition_id="c20fc113-3da8-4b0e-8f7b-0fca82b2312a",
10)

Delete account level custom field definitions.
Rate Limits: 60 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

List account level field definitions

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

field_definition_idstringRequiredformat: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error